# coding: utf-8

"""
    ABX Service - APIs

    Create or manage actions and their versions. Execute actions and flows.  This page describes the RESTful APIs for ABX Service. The APIs facilitate CRUD operations on creation and management of Actions and their Versions and also allow Execution of Actions and Flows.  The APIs that list collections of resources  also support OData like implementation. Below query params can be used across ABX Service APIs.  Example:  1. `$orderby` - returns a result with the rows being sorted by the values of provided attribute.      ```/abx/api/resources/actions?$orderby=name%20desc```  2. `$top`, `$skip` - `$top` returns the requested number of resources. Used with `$skip`, the client can skip a given number of resources.      ```/abx/api/resources/actions?$expand=true&$top=10&$skip=2```  3. `page` and `$size` - page used in conjunction with `$size` helps in pagination of resources.      ```/abx/api/resources/actions?$expand=true&page=0&$size=5```  4. `$filter` - `$filter` returns a subset of resources that satisfy the given predicate expression.      ```     /abx/api/resources/actions?$filter=startswith(name, 'ABC')     /abx/api/resources/actions?$filter=toupper(name) eq 'ABCD-ACTION'     /abx/api/resources/actions?$filter=substringof(%27bc%27,tolower(name))     /abx/api/resources/actions?$filter=name eq 'ABCD' and actionType eq 'SCRIPT'   # noqa: E501

    OpenAPI spec version: 2019-09-12
    
    Generated by: https://github.com/swagger-api/swagger-codegen.git
"""

import pprint
import re  # noqa: F401

import six

class IdReleaseBody(object):
    """NOTE: This class is auto generated by the swagger code generator program.

    Do not edit the class manually.
    """
    """
    Attributes:
      swagger_types (dict): The key is attribute name
                            and the value is attribute type.
      attribute_map (dict): The key is attribute name
                            and the value is json key in definition.
    """
    swagger_types = {
        'version': 'str'
    }

    attribute_map = {
        'version': 'version'
    }

    def __init__(self, version=None):  # noqa: E501
        """IdReleaseBody - a model defined in Swagger"""  # noqa: E501
        self._version = None
        self.discriminator = None
        self.version = version

    @property
    def version(self):
        """Gets the version of this IdReleaseBody.  # noqa: E501


        :return: The version of this IdReleaseBody.  # noqa: E501
        :rtype: str
        """
        return self._version

    @version.setter
    def version(self, version):
        """Sets the version of this IdReleaseBody.


        :param version: The version of this IdReleaseBody.  # noqa: E501
        :type: str
        """
        if version is None:
            raise ValueError("Invalid value for `version`, must not be `None`")  # noqa: E501

        self._version = version

    def to_dict(self):
        """Returns the model properties as a dict"""
        result = {}

        for attr, _ in six.iteritems(self.swagger_types):
            value = getattr(self, attr)
            if isinstance(value, list):
                result[attr] = list(map(
                    lambda x: x.to_dict() if hasattr(x, "to_dict") else x,
                    value
                ))
            elif hasattr(value, "to_dict"):
                result[attr] = value.to_dict()
            elif isinstance(value, dict):
                result[attr] = dict(map(
                    lambda item: (item[0], item[1].to_dict())
                    if hasattr(item[1], "to_dict") else item,
                    value.items()
                ))
            else:
                result[attr] = value
        if issubclass(IdReleaseBody, dict):
            for key, value in self.items():
                result[key] = value

        return result

    def to_str(self):
        """Returns the string representation of the model"""
        return pprint.pformat(self.to_dict())

    def __repr__(self):
        """For `print` and `pprint`"""
        return self.to_str()

    def __eq__(self, other):
        """Returns true if both objects are equal"""
        if not isinstance(other, IdReleaseBody):
            return False

        return self.__dict__ == other.__dict__

    def __ne__(self, other):
        """Returns true if both objects are not equal"""
        return not self == other
